package cn.com.tenlion.configcontent.pojo.pos.contentcommentlike;

/**
 *
 * @ClassName: ContentCommentLikePO
 * @Description: CBC内容管理评论点赞记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:31:46
 * @Version: 3.0
 **/
public class ContentCommentLikePO {

    private String contentCommentLikeId;
    private String contentCommentLikeUserName;
    private String contentCommentLikeUserIcon;
    private String contentCommentId;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getContentCommentLikeId() {
        return contentCommentLikeId == null ? "" : contentCommentLikeId.trim();
    }

    public void setContentCommentLikeId(String contentCommentLikeId) {
        this.contentCommentLikeId = contentCommentLikeId;
    }

    public String getContentCommentLikeUserName() {
        return contentCommentLikeUserName == null ? "" : contentCommentLikeUserName.trim();
    }

    public void setContentCommentLikeUserName(String contentCommentLikeUserName) {
        this.contentCommentLikeUserName = contentCommentLikeUserName;
    }

    public String getContentCommentLikeUserIcon() {
        return contentCommentLikeUserIcon == null ? "" : contentCommentLikeUserIcon.trim();
    }

    public void setContentCommentLikeUserIcon(String contentCommentLikeUserIcon) {
        this.contentCommentLikeUserIcon = contentCommentLikeUserIcon;
    }

    public String getContentCommentId() {
        return contentCommentId == null ? "" : contentCommentId.trim();
    }

    public void setContentCommentId(String contentCommentId) {
        this.contentCommentId = contentCommentId;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
